/**
 * Transform `tree` to nlcst.
 *
 * @param {Node} tree
 * @param {VFile} file
 * @param {ParserInstance|ParserConstructor} Parser
 */
export function toNlcst(
  tree: Node,
  file: VFile,
  Parser: ParserInstance | ParserConstructor
): {
  type: string
  children: import('unist').Node<import('unist').Data>[]
  position: {
    start: Required<import('unist').Point>
    end: Required<import('unist').Point>
  }
}
export type UnistNode = import('unist').Node
export type Parent = import('hast').Parent
export type Root = import('hast').Root
export type Element = import('hast').Element
export type Child = Parent['children'][number]
export type ElementChild = Element['children'][number]
export type Node = Child | Root
export type VFile = import('vfile').VFile
export type ParserInstance = {
  parse(nodes: UnistNode[]): UnistNode
  tokenizeSource(value: string): UnistNode
  tokenizeWhiteSpace(value: string): UnistNode
  tokenizeParagraph(nodes: UnistNode[]): UnistNode
  tokenize(value: string): UnistNode[]
}
export type ParserConstructor = new () => ParserInstance
